VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
ProcessData Struct Reference

Any data needed in audio processing. More...

`#include <ivstaudioprocessor.h>`

Inheritance diagram for ProcessData:

## Public Member Functions
| ProcessData ()

## Public Attributes
int32 | processMode
| processing mode - value of ProcessModes
int32 | symbolicSampleSize
| sample size - value of SymbolicSampleSizes
int32 | numSamples
| number of samples to process
int32 | numInputs
| number of audio input busses
int32 | numOutputs
| number of audio output busses
AudioBusBuffers * | inputs
| buffers of input busses
AudioBusBuffers * | outputs
| buffers of output busses
IParameterChanges * | inputParameterChanges
| incoming parameter changes for this block
IParameterChanges * | outputParameterChanges
| outgoing parameter changes for this block (optional)
IEventList * | inputEvents
| incoming events for this block (optional)
IEventList * | outputEvents
| outgoing events for this block (optional)
ProcessContext * | processContext
| processing context (optional, but most welcome)

## Detailed Description

Any data needed in audio processing.

    The host prepares AudioBusBuffers for each input/output bus,
    regardless of the bus activation state. Bus buffer indices always match
    with bus indices used in IComponent::getBusInfo of media type kAudio.

See Also
  AudioBusBuffers, IParameterChanges, IEventList, ProcessContext, IProcessContextRequirements

## Constructor & Destructor Documentation

ProcessData | ( |  | ) |
| inline

## Member Data Documentation

int32 processMode

processing mode - value of ProcessModes

int32 symbolicSampleSize

sample size - value of SymbolicSampleSizes

int32 numSamples

number of samples to process

int32 numInputs

number of audio input busses

int32 numOutputs

number of audio output busses

AudioBusBuffers* inputs

buffers of input busses

AudioBusBuffers* outputs

buffers of output busses

IParameterChanges* inputParameterChanges

incoming parameter changes for this block

IParameterChanges* outputParameterChanges

outgoing parameter changes for this block (optional)

IEventList* inputEvents

incoming events for this block (optional)

IEventList* outputEvents

outgoing events for this block (optional)

ProcessContext* processContext

processing context (optional, but most welcome)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.